#include "Guest.h"

#include <iostream>
#include <iomanip> // wegen setw
#include <cassert> // wegen assert
using namespace std;

int Guest::totalCounter = 0;
int Guest::totalCounterAssign = 0;


Guest::Guest(int bTime) {
   ++Guest::totalCounter;
   bathEntryTime = bTime;
   wakeUpTime = 4;
}

Guest::Guest(const Guest& v2) {
   ++Guest::totalCounter;
   bathEntryTime = v2.bathEntryTime;
   wakeUpTime = v2.wakeUpTime;
}

Guest::~Guest() {
}



Guest& Guest::operator=(const Guest& v2){
   ++totalCounterAssign;
   bathEntryTime = v2.bathEntryTime;
   wakeUpTime = v2.wakeUpTime;
   return *this;
}

