#ifndef VEKTOR_HEADER
#define VEKTOR_HEADER

#define WITH_MOVE
#include "Guest.h"


//typedef int V_BaseType;
typedef Guest V_BaseType;

class Vektor{
public:
	Vektor() = delete;
	Vektor(int dim);
   Vektor(const Vektor& v2);
   ~Vektor();
   Vektor& operator=(const Vektor& v2);
#ifdef WITH_MOVE
   Vektor(Vektor&& v2);
   Vektor& operator=(Vektor&& v2);
#endif //ifdef WITH_MOVE

	void Print() const;
   void Init(V_BaseType w);
   friend Vektor operator+(const Vektor& v1, const Vektor& v2);
   static int GetTotalCounter() { return totalCounter; }
   static int GetTotalCounterAssign() { return totalCounterAssign; }
   static void ResetCounters() {
      totalCounter = 0; totalCounterAssign = 0; }


private:
   static int totalCounter;
   static int totalCounterAssign;
   V_BaseType* daten;
	int dimension;
};


#endif
